DescriptorProtos.DescriptorProtoOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.DescriptorProtoOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.DescriptorProto, DescriptorProtos.DescriptorProto.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.DescriptorProtoOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.EnumDescriptorProto` | `getEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `int` | `getEnumTypeCount()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto>` | `getEnumTypeList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.EnumDescriptorProtoOrBuilder` | `getEnumTypeOrBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>` | `getEnumTypeOrBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.FieldDescriptorProto` | `getExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `int` | `getExtensionCount()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getExtensionList()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getExtensionOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getExtensionOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.ExtensionRange` | `getExtensionRange(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `int` | `getExtensionRangeCount()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange>` | `getExtensionRangeList()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder` | `getExtensionRangeOrBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `java.util.List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder>` | `getExtensionRangeOrBuilderList()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.FieldDescriptorProto` | `getField(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `int` | `getFieldCount()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getFieldList()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getFieldOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getFieldOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.DescriptorProto` | `getNestedType(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `int` | `getNestedTypeCount()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `java.util.List<DescriptorProtos.DescriptorProto>` | `getNestedTypeList()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProtoOrBuilder` | `getNestedTypeOrBuilder(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder>` | `getNestedTypeOrBuilderList()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.OneofDescriptorProto` | `getOneofDecl(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `int` | `getOneofDeclCount()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `java.util.List<DescriptorProtos.OneofDescriptorProto>` | `getOneofDeclList()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.OneofDescriptorProtoOrBuilder` | `getOneofDeclOrBuilder(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `java.util.List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder>` | `getOneofDeclOrBuilderList()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.MessageOptions` | `getOptions()` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.MessageOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.MessageOptions options = 7;`
    `java.lang.String` | `getReservedName(int index)` Reserved field names, which may not be used by fields in the same message.
    `ByteString` | `getReservedNameBytes(int index)` Reserved field names, which may not be used by fields in the same message.
    `int` | `getReservedNameCount()` Reserved field names, which may not be used by fields in the same message.
    `java.util.List<java.lang.String>` | `getReservedNameList()` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.ReservedRange` | `getReservedRange(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `int` | `getReservedRangeCount()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `java.util.List<DescriptorProtos.DescriptorProto.ReservedRange>` | `getReservedRangeList()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder` | `getReservedRangeOrBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `java.util.List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder>` | `getReservedRangeOrBuilderList()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.MessageOptions options = 7;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`

    - #### getName

          java.lang.String getName()

      `optional string name = 1;`

    - #### getNameBytes

          ByteString getNameBytes()

      `optional string name = 1;`

    - #### getFieldList

          java.util.List<DescriptorProtos.FieldDescriptorProto> getFieldList()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getField

          DescriptorProtos.FieldDescriptorProto getField(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getFieldCount

          int getFieldCount()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getFieldOrBuilderList

          java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getFieldOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getFieldOrBuilder

          DescriptorProtos.FieldDescriptorProtoOrBuilder getFieldOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getExtensionList

          java.util.List<DescriptorProtos.FieldDescriptorProto> getExtensionList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtension

          DescriptorProtos.FieldDescriptorProto getExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtensionCount

          int getExtensionCount()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtensionOrBuilderList

          java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtensionOrBuilder

          DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getNestedTypeList

          java.util.List<DescriptorProtos.DescriptorProto> getNestedTypeList()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedType

          DescriptorProtos.DescriptorProto getNestedType(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedTypeCount

          int getNestedTypeCount()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedTypeOrBuilderList

          java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getNestedTypeOrBuilderList()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedTypeOrBuilder

          DescriptorProtos.DescriptorProtoOrBuilder getNestedTypeOrBuilder(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getEnumTypeList

          java.util.List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumType

          DescriptorProtos.EnumDescriptorProto getEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumTypeCount

          int getEnumTypeCount()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumTypeOrBuilderList

          java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumTypeOrBuilder

          DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getExtensionRangeList

          java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange> getExtensionRangeList()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRange

          DescriptorProtos.DescriptorProto.ExtensionRange getExtensionRange(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRangeCount

          int getExtensionRangeCount()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRangeOrBuilderList

          java.util.List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder> getExtensionRangeOrBuilderList()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRangeOrBuilder

          DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder getExtensionRangeOrBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getOneofDeclList

          java.util.List<DescriptorProtos.OneofDescriptorProto> getOneofDeclList()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDecl

          DescriptorProtos.OneofDescriptorProto getOneofDecl(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDeclCount

          int getOneofDeclCount()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDeclOrBuilderList

          java.util.List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder> getOneofDeclOrBuilderList()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDeclOrBuilder

          DescriptorProtos.OneofDescriptorProtoOrBuilder getOneofDeclOrBuilder(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### hasOptions

          boolean hasOptions()

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### getOptions

          DescriptorProtos.MessageOptions getOptions()

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### getOptionsOrBuilder

          DescriptorProtos.MessageOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### getReservedRangeList

          java.util.List<DescriptorProtos.DescriptorProto.ReservedRange> getReservedRangeList()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRange

          DescriptorProtos.DescriptorProto.ReservedRange getReservedRange(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRangeCount

          int getReservedRangeCount()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRangeOrBuilderList

          java.util.List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder> getReservedRangeOrBuilderList()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRangeOrBuilder

          DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder getReservedRangeOrBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedNameList

          java.util.List<java.lang.String> getReservedNameList()

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### getReservedNameCount

          int getReservedNameCount()

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### getReservedName

          java.lang.String getReservedName(int index)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### getReservedNameBytes

          ByteString getReservedNameBytes(int index)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`